###############################################################################
###############################################################################
##
##  Copyright (C) 2007 Asianux Project.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Source10: kmodtool2
%define kmodtool bash %{SOURCE10}
%{!?kversion: %define kversion 2.6.18-8.10AX}

%define kmod_name drbd
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch i686
%define paevar PAE
%endif

%ifarch i686 x86_64 ia64
%define xenvar xen
%endif

%ifarch ppc
%define smpvar smp
%endif
%ifarch ppc64 ppc64iseries
%define kdumpvar kdump
%endif

%{!?kvariants: %define kvariants %{?upvar} %{?paevar} %{?xenvar} %{?smpvar} %{?kdumpvar}}

Name:           %{kmod_name}-kmod
Version:        0.7.23
Release:        7.%(echo %{kverrel} | tr - _)
Summary:        %{kmod_name} kernel module

Group:          System Environment/Kernel
License:        GPL
URL:            http://www.drbd.org/ 
Source0:        drbd-0.7.23.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  bison, m4, flex
ExclusiveArch:  i686 x86_64 ppc64 ia64 sparc sparc64 s390x

%description
drbd - Drdb is a distributed replicated block device. It mirrors a
block device over the network to another machine. Think of it
as networked raid 1. It is a building block for setting up
high availability (HA) clusters.

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}

%prep
# to understand the magic better or to debug it, uncomment this:
#{kmodtool} rpmtemplate_kmp %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -c -T -a 0
for kvariant in %{kvariants} ; do
    cp -a drbd-0.7.23 _kmod_build_$kvariant
done


%build
for kvariant in %{kvariants}
do
    ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    make all KDIR="${ksrc}"
    popd
done


%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{kmod_name}
for kvariant in %{kvariants}
do
    ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    make install KDIR="${ksrc}" PREFIX=$INSTALL_MOD_PATH MODSUBDIR=$INSTALL_MOD_DIR
    popd
done

# Temporarily executable for stripping, fixed later in %%files.
chmod u+x $RPM_BUILD_ROOT/lib/modules/*/extra/%{kmod_name}/*

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Tue Aug 14 2007 <ax-kernel@asianux.com> - 0.7.23-7
- Re-build for new kernel

* Tue Jul 31 2007 <ax-kernel@asianux.com> - 0.7.23-6
- Re-build for new kernel

* Tue Jul 17 2007 <ax-kernel@asianux.com> - 0.7.23-5
- Re-build for new kernel

* Tue Jul 3  2007 <ax-kernel@asianux.com> - 0.7.23-4
- Re-build for new kernel

* Tue Jun 19 2007 <ax-kernel@asianux.com> - 0.7.23-3
- Re-build for new kernel

* Mon May 28 2007 <ax-kernel@asianux.com> - 0.7.23-2
- Re-build for new kernel

* Wed May 16 2007 <ax-kernel@asianux.com> - 0.7.23-1
- Initial Build
